## IBusAttrList IBusAttrList — AttrList of IBusText. |

## Stability Level

Stable, unless otherwise indicated

## Functions

IBusAttrList * | ibus_attr_list_new ()
void | ibus_attr_list_append ()
IBusAttribute * | ibus_attr_list_get ()

## Types and Values

struct | IBusAttrList

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── IBusObject
                ╰── IBusSerializable
                    ╰── IBusAttrList

## Description

## Functions

### ibus_attr_list_new ()

    IBusAttrList *
    ibus_attr_list_new ();

Creates an new IBusAttrList.

#### Returns

A newly allocated IBusAttrList.

### ibus_attr_list_append ()

    void
    ibus_attr_list_append (IBusAttrList *attr_list,
                           IBusAttribute *attr);

Append an IBusAttribute to IBusAttrList, and increase reference.

#### Parameters

attr_list | An IBusAttrList instance. |
attr | The IBusAttribute instance to be appended. |

### ibus_attr_list_get ()

    IBusAttribute *
    ibus_attr_list_get (IBusAttrList *attr_list,
                        guint index);

Returns IBusAttribute at given index. Borrowed reference.

#### Parameters

attr_list | An IBusAttrList instance. |
index | Index of the `attr_list` . |

#### Returns

IBusAttribute at given index, `NULL` if no such IBusAttribute.

[transfer none]

## Types and Values

### struct IBusAttrList

    struct IBusAttrList {
        GArray *attributes;
    };

Array of IBusAttribute.

#### Members

GArray *`attributes`; | GArray that holds IBusAttribute. |

## See Also

IBusAttribute IBusText